探索网络安全新技术
攀登黑客技术最高峰

Linux内核 "StackRot "特权升级漏洞

Linux内核

Linux内核中出现了一个新的安全漏洞,可能允许用户在目标主机上获得更高的权限。

该漏洞被称为StackRot(CVE-2023-3269,CVSS评分:7.8),影响Linux 6.1至6.4版本。迄今为止,没有证据表明该漏洞已经在野外被利用。

北京大学安全研究员李瑞晗说:”由于StackRot是一个在内存管理子系统中发现的Linux内核漏洞,它几乎影响到所有的内核配置,且仅需要最少的功能来触发”。

在2023年6月15日漏洞披露之后,经过两周努力,截至2023年7月1日,该漏洞已经在稳定版本6.1.37、6.3.11和6.4.1中得到解决。

一个概念验证(PoC)漏洞和有关该漏洞的其他技术细节预计将在本月底公开。

该漏洞的根源在于一个名为maple tree的数据结构,它在Linux内核6.1中被引入,作为rbtree的替代品,用于管理和存储虚拟内存区域(VMA),这是一个连续的虚拟地址范围,可以是磁盘上的文件内容或程序执行时使用的内存。

具体来说,它被描述为一个使用后的错误,本地用户可以利用maple tree在没有正确获得MM写锁的情况下进行节点替换,从而来破坏内核并提升他们的权限。

Torvalds指出:我想将所有堆栈扩展代码移动到自己的全新文件中,而不是将其拆分为 mm/mmap.c 和 mm/memory.c,我试图保持补丁最小化,但由于无论如何都必须回传到最初的maple treeVMA 介绍中。

赞(0) 打赏
版权声明:本文采用知识共享 署名4.0国际许可协议 [BY-NC-SA] 进行授权
文章名称:《Linux内核 "StackRot "特权升级漏洞》
文章链接:https://www.wevul.com/1844.html
本站所有内容均来自互联网,只限个人技术研究,禁止商业用途,请下载后24小时内删除。

评论 抢沙发

如果文章对你有帮助 可以打赏一下文章作者

非常感谢你的打赏,我们将继续提供更多优质内容,让我们一起创建更加美好的网络世界!

支付宝扫一扫打赏

微信扫一扫打赏

登录

找回密码

注册